Skip to main content
POST
/
v1
/
linkedin
/
profiles
/
interests
/
top-voices
Get Profile Top Voice Interests
curl --request POST \
  --url https://api.agntdata.dev/v1/linkedin/profiles/interests/top-voices \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "adamselipsky"
}
'
{
  "success": true,
  "message": "",
  "data": {
    "items": [
      {
        "urn": "ACoAAAEGTFcBOe5r9TGRHOEfbPV6izXx_IpJOaY",
        "username": "buschroland",
        "url": "https://www.linkedin.com/in/buschroland",
        "firstName": "Roland",
        "lastName": "Busch",
        "fullName": "Roland Busch",
        "headline": "President and CEO of Siemens AG",
        "profilePicture": [
          {
            "url": "https://media.licdn.com/dms/image/v2/C4D03AQHt7A5wyfZ62Q/profile-displayphoto-shrink_100_100/profile-displayphoto-shrink_100_100/0/1649329186151?e=1755129600&v=beta&t=zr_PgEI5OyWsjQNg84HRAJU0Meyjl3t5AMbPG8DKOvg",
            "width": 100,
            "height": 100
          },
          {
            "url": "https://media.licdn.com/dms/image/v2/C4D03AQHt7A5wyfZ62Q/profile-displayphoto-shrink_200_200/profile-displayphoto-shrink_200_200/0/1649329186151?e=1755129600&v=beta&t=9cY53q0e4tNsogx2pS5DHzDf7iFJchOAJzdxzsayuL4",
            "width": 200,
            "height": 200
          },
          {
            "url": "https://media.licdn.com/dms/image/v2/C4D03AQHt7A5wyfZ62Q/profile-displayphoto-shrink_400_400/profile-displayphoto-shrink_400_400/0/1649329186151?e=1755129600&v=beta&t=aN-QFXVcAMQRmyCKhi5cvyF_FZB7o8TwxlmMzoNO89s",
            "width": 400,
            "height": 400
          },
          {
            "url": "https://media.licdn.com/dms/image/v2/C4D03AQHt7A5wyfZ62Q/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1649329186151?e=1755129600&v=beta&t=5kW0soNyZ3k-aVvZ9ULzH3UetX4tya8REGR7mAebUhw",
            "width": 800,
            "height": 800
          }
        ]
      },
      {
        "urn": "ACoAAAAXP8UB4_GzJNUYcEDdAM6IBQNKZYe-WOU",
        "username": "andy-jassy-8b1615",
        "url": "https://www.linkedin.com/in/andy-jassy-8b1615",
        "firstName": "Andy",
        "lastName": "Jassy",
        "fullName": "Andy Jassy",
        "headline": "President and CEO at Amazon",
        "profilePicture": [
          {
            "url": "https://media.licdn.com/dms/image/v2/C5603AQGSl0b1ZCh2sQ/profile-displayphoto-shrink_100_100/profile-displayphoto-shrink_100_100/0/1631724420241?e=1755129600&v=beta&t=Z4fSKJ4eZOVCEunu88CnTZXaxuZsB8gj6pE4O-id7H8",
            "width": 100,
            "height": 100
          },
          {
            "url": "https://media.licdn.com/dms/image/v2/C5603AQGSl0b1ZCh2sQ/profile-displayphoto-shrink_200_200/profile-displayphoto-shrink_200_200/0/1631724420241?e=1755129600&v=beta&t=SFCR8aesIfGlJMxbOABRJSVlU6pi3H2eO-7VEoZ97PM",
            "width": 200,
            "height": 200
          },
          {
            "url": "https://media.licdn.com/dms/image/v2/C5603AQGSl0b1ZCh2sQ/profile-displayphoto-shrink_400_400/profile-displayphoto-shrink_400_400/0/1631724420241?e=1755129600&v=beta&t=9mfSnJPHQvSeTASMWSmziARHiXdarXXZECICqtsEns4",
            "width": 400,
            "height": 400
          },
          {
            "url": "https://media.licdn.com/dms/image/v2/C5603AQGSl0b1ZCh2sQ/profile-displayphoto-shrink_800_800/profile-displayphoto-shrink_800_800/0/1631724420241?e=1755129600&v=beta&t=g2EQpStPwFjyRl6fGiiA9raxrRAFqEG6K0Ty_CikSPo",
            "width": 800,
            "height": 800
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...

Body

application/json
username
string
page
integer

Response

200 - application/json

200

success
boolean
message
string
data
object